#include<stdio.h>
#include<stdlib.h>
main()
{
	long long int n, m, broj, i, j, *a,k=0,br=0;
	scanf("%lld%lld",&n,&m);
	a=(long long int*)malloc((n*m)*sizeof(long long int));
	for(i=0;i<n;i++)
	for(j=0;j<m;j++)
	{
		k++;
		*(a+i*m+j)=k;
	}
	for(i=1;i<n-1;i++)
	for(j=1;j<m-1;j++)
	if(i%2!=0 && j%2==0 || i%2==0 && j%2!=0)
	br++;
	br+=2*m+2*n-4;
	printf("%lld",br);
}